/******************************************************************************
;  *       @ͺ                 : MC51F7424
;  *       @             : 2023.02.01
;  *       @˾/            : SINOMCU.COM-AE
;  *       @΢           : http://www.sinomcu.com/
;  *       @Ȩ                 : 2022 ΢ Ȩ.
;  *----------------------ժҪ---------------------------------
;  *  ϵͳʱӼʱʱ;
;  *  ʹMCUӲ˳,ֵ
;  *  printfǷض򵽴,ڲ              
******************************************************************************/

// <<< Use Configuration Wizard in Context Menu >>>
#ifndef __USER_CONFIG_H
#define __USER_CONFIG_H

#define FSYS_CLOCK      24000000
#define TIM_TICK_1MS    1000

// <c1> USE MCU HW MUL/DIV
// <i> Enable MCU hardware multipliction,division
#define EN_HW_MUL_DIV        1        // 1:Retargets printf to USART,0 or not define:printf null out
// </c>

// <o> MUL first variable
// <i> uint16_t,less than 65536
#define MUL_VAR_A            37267

// <o> DIV first variable
// <i> uint32_t,less than 4294967296
#define DIV_VAR_A            655360

// <o> MUL or DIV second variable
// <i> uint16_t,less than 65536
#define MUL_DIV_VAR_B        511

// <c1> Printf to USART
// <i> Retargets printf to USART
#define EN_PRINT_UART        1         // 1:Retargets printf to USART,0 or not define:printf null out

// </c>
// <o> Baud Rate
// <i> select uart baud rate
// <0=>    2400
// <1=>    4800
// <2=>    9600
// <3=>    115200
#define UART_BAUD_RATE  3  

#if (UART_BAUD_RATE == 3) 
#define BAUD_RATE  115200 
#elif (UART_BAUD_RATE == 2) 
#define BAUD_RATE  9600 
#elif (UART_BAUD_RATE == 1) 
#define BAUD_RATE  4800  
#else
#define BAUD_RATE  2400 
#endif

#endif /* __USER_CONFIG_H */
// <<< end of configuration section >>>
/******************************** END OF FILE *********************************/
